base interface class for reinforced learning

memberof

  ml

### Hierarchy

- ReinforcedLearningBase
  - UpperConfidenceBound
  - ThompsonSampling

### Implements

- ReinforcedLearning

## Index

### Constructors

- constructor

### Properties

- bounds
- getBound
- iteration
- last_selected
- total_reward

### Methods

- learn
- predict
- train

## Constructors

### constructor

- new ReinforcedLearningBase(options?: ReinforcedOptions): ReinforcedLearningBase

- - Defined in ReinforcedLearning.ts:30

  base class for reinforced learning

  prop

    {Number} options.bounds - number of bounds / bandits

  prop

    {Function} options.getBound - get value of bound

  prop

    {Number} this.bounds - number of bounds / bandits

  prop

    {Array} this.last_selected - list of selections

  prop

    {Number} this.total_reward - total rewards

  prop

    {Number} this.iteration - total number of iterations

  #### Parameters

  - ##### Default value options: ReinforcedOptions = {}

  #### Returns ReinforcedLearningBase

## Properties

### bounds

bounds: number

Implementation of ReinforcedLearning.bounds

- Defined in ReinforcedLearning.ts:26

### getBound

getBound: BoundFunction

Implementation of ReinforcedLearning.getBound

- Defined in ReinforcedLearning.ts:27

### iteration

iteration: number

Implementation of ReinforcedLearning.iteration

- Defined in ReinforcedLearning.ts:30

### last_selected

last_selected: Vector

Implementation of ReinforcedLearning.last_selected

- Defined in ReinforcedLearning.ts:28

### total_reward

total_reward: number

Implementation of ReinforcedLearning.total_reward

- Defined in ReinforcedLearning.ts:29

## Methods

### learn

- learn(): void

- - Defined in ReinforcedLearning.ts:55

  interface instance method for reinforced learning step

  #### Returns void

### predict

- predict(): void

- - Defined in ReinforcedLearning.ts:67

  interface instance method for reinforced prediction step

  #### Returns void

### train

- train(): void

- - Defined in ReinforcedLearning.ts:61

  interface instance method for reinforced training step

  #### Returns void